Skip to main content
GET
/
invoices
/
{invoice_id}
Get Invoice Information
curl --request GET \
  --url https://api.xplenty.com/{account_id}/api/invoices/{invoice_id} \
  --header 'Accept: <accept>' \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.xplenty.com/{account_id}/api/invoices/{invoice_id}"

headers = {
"Accept": "<accept>",
"Authorization": "Basic <encoded-value>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {Accept: '<accept>', Authorization: 'Basic <encoded-value>'}
};

fetch('https://api.xplenty.com/{account_id}/api/invoices/{invoice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "date": "2023-12-25",
  "amount": 123,
  "currency": "<string>",
  "status": "<string>",
  "pdf_url": "<string>"
}

Authorizations

Authorization
string
header
required

Enter your API key as the username. Leave the password field blank. Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...

Headers

Accept
string
default:application/vnd.xplenty+json; version=2
required

API version header — required on all requests

Path Parameters

invoice_id
string
required

Response

200 - application/vnd.xplenty+json; version=2

Successful response

id
string
date
string<date>
amount
number
currency
string
status
string
pdf_url
string<uri>
Last modified on July 13, 2026